# $Id: smeserver-diskusage.spec,v 1.3 2008/04/23 18:01:33 snetram Exp $
# Authority: darrellmay
# Name: Darrell May

Summary: Disk usage panel for the SME Server
%define name smeserver-diskusage
Name: %{name}
%define version 0.0.1
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-diskusage-0.0.1-locale-2008-04-22.patch
Patch1: smeserver-diskusage-0.0.1-locale-2008-04-23.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base,  smeserver-release >= 7.0
BuildRequires: e-smith-devtools >= 1.13.1-03
Obsoletes: dmc-mitel-diskusage
AutoReqProv: no

%description
Disk usage panel showing filesystem, i-bay and user statistics.

%changelog
* Wed Apr 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 23 April 2008 locale patch

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 22 April 2008 locale patch

* Mon Apr 21 2008 Shad L. Lords <slords@mail.com>
- Prep for import into buildsys
- Clean up spec

* Mon Apr 16 2007 Darrell May <dmay@myezserver.com>
- added /opt to ibay table
- added date header
- [0.0.1-2]
* Wed Mar 21 2007 Darrell May <dmay@myezserver.com>
- split usage/path into two columns
- [0.0.1-1]
* Tue Mar 20 2007 Darrell May <dmay@myezserver.com>
- renamed and rebuilt for SME 7.x
- [0.0.1-0]
* Fri Aug 09 2002 Darrell May <dmay@netsourced.com>
- initial release
- [0.0.1-1]

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

